;;;; utf8-string-interpolator.scm  -*- Scheme -*-
;;;; Kon Lovett, Aug '19

(declare
  (bound-to-procedure ##sys#print-to-string))

(module utf8-string-interpolator

(;export
  string-interpolate
  string-interpolate/sanity)

(import scheme
  utf8
  (chicken base)
  (chicken platform)
  (chicken type)
  (only (srfi 1) reverse!))

(: string-interpolate/sanity (string #!rest -> list))
(: string-interpolate (string #!rest -> list))

(include-relative "string-interpolation-body")

) ;utf8-string-interpolator
